Page MenuHomePhabricator

"You are not logged in..." warning is not displayed when a non-logged user edits a title
Closed, ResolvedPublic

Description

  1. As a not-logged in user, click on "Edit title" menu option. The warning "You are not logged in...." does not appear.
  2. Click to 'Start a new topic' or Reply to any topic - the warning will appear.

'Edit title' is the only place where the warning "You are not logged in..." is not displayed.

After a topic was modified by a non-logged user, the history will record user's action(s) with user's IP displayed.

Expected: Users editing a topic title should be warned that their IP would be recorded in history.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterVarious fixes to edit-title

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 9:13 PM
Quiddity triaged this task as High priority.Jun 29 2015, 10:03 PM
Quiddity added a subscriber: Quiddity.
SBisson claimed this task.Dec 18 2015, 1:41 PM
SBisson set Security to None.

Change 260006 had a related patch set uploaded (by Sbisson):
[WIP] Various fixes to edit-title

https://gerrit.wikimedia.org/r/260006

Change 260006 merged by jenkins-bot:
Various fixes to edit-title

https://gerrit.wikimedia.org/r/260006

Checked in betalabs

  • "You are not logged in..." warning appears correctly
  • History records IP address for editing title action

Catrope closed this task as Resolved.Jan 19 2016, 2:38 AM
Catrope added a subscriber: Catrope.